package com.yunfeiyun.agmp.fms.domain;

import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 作物周期对象 FmsPeriod
 * 
 * @author 杨晓辉
 * @date 2023-05-16
 */
public class FmsPeriod extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 作物周期标识 */
    private String periodId;

    /** 作物标识 */
    @Excel(name = "作物标识")
    private String cropId;

    /** 作物周期阶段名称 */
    @Excel(name = "作物周期阶段名称")
    private String periodName;

    /** 作物周期生长天数 */
    @Excel(name = "作物周期生长天数")
    private Integer periodDays;

    /** 作物周期备注 */
    @Excel(name = "作物周期备注")
    private String periodRemark;

    /** 作物周期预览图 */
    @Excel(name = "作物周期预览图")
    private String periodPreview;

    /** 作物周期排序 */
    @Excel(name = "作物周期排序")
    private String periodSeq;

    /** 资源id */
    private String resIds;

    public String getResIds() {
        return resIds;
    }

    public void setResIds(String resIds) {
        this.resIds = resIds;
    }

    public void setPeriodId(String periodId)
    {
        this.periodId = periodId;
    }

    public String getPeriodId()
    {
        return periodId;
    }
    public void setCropId(String cropId)
    {
        this.cropId = cropId;
    }

    public String getCropId()
    {
        return cropId;
    }
    public void setPeriodName(String periodName)
    {
        this.periodName = periodName;
    }

    public String getPeriodName()
    {
        return periodName;
    }
    public void setPeriodDays(Integer periodDays)
    {
        this.periodDays = periodDays;
    }

    public Integer getPeriodDays()
    {
        return periodDays;
    }
    public void setPeriodRemark(String periodRemark)
    {
        this.periodRemark = periodRemark;
    }

    public String getPeriodRemark()
    {
        return periodRemark;
    }
    public void setPeriodPreview(String periodPreview)
    {
        this.periodPreview = periodPreview;
    }

    public String getPeriodPreview()
    {
        return periodPreview;
    }

    public String getPeriodSeq() {
        return periodSeq;
    }

    public void setPeriodSeq(String periodSeq) {
        this.periodSeq = periodSeq;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("periodId", getPeriodId())
            .append("cropId", getCropId())
            .append("periodName", getPeriodName())
            .append("periodDays", getPeriodDays())
            .append("periodRemark", getPeriodRemark())
            .append("periodPreview", getPeriodPreview())
            .append("periodSeq", getPeriodSeq())
            .append("resIds", getResIds())
            .toString();
    }
}
